Bug 1029393 - [abrt] evolution-3.8.5-2.fc19: talloc_chunk_from_ptr: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] evolution-3.8.5-2.fc19: talloc_chunk_from_ptr: Process /usr/bin/evolut...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:80364911c57c3d5dba569389e44...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 05:36 EST by Simone Pieri
Modified: 2015-02-17 14:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:12:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcrha: needinfo? (simone.pieri)


Attachments (Terms of Use)
File: backtrace (87.89 KB, text/plain)
2013-11-12 05:36 EST, Simone Pieri
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-12 05:36 EST, Simone Pieri
no flags Details
File: core_backtrace (56.97 KB, text/plain)
2013-11-12 05:36 EST, Simone Pieri
no flags Details
File: dso_list (26.09 KB, text/plain)
2013-11-12 05:36 EST, Simone Pieri
no flags Details
File: environ (2.11 KB, text/plain)
2013-11-12 05:36 EST, Simone Pieri
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-12 05:36 EST, Simone Pieri
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-12 05:36 EST, Simone Pieri
no flags Details
File: maps (120.55 KB, text/plain)
2013-11-12 05:36 EST, Simone Pieri
no flags Details
File: open_fds (228 bytes, text/plain)
2013-11-12 05:36 EST, Simone Pieri
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-11-12 05:37 EST, Simone Pieri
no flags Details
File: var_log_messages (433 bytes, text/plain)
2013-11-12 05:37 EST, Simone Pieri
no flags Details

  None (edit)
Description Simone Pieri 2013-11-12 05:36:16 EST
Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /bin/evolution
crash_function: talloc_chunk_from_ptr
executable:     /usr/bin/evolution
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 talloc_chunk_from_ptr at ../talloc.c:370
 #1 _talloc_free at ../talloc.c:1448
 #2 smb_iconv_close at ../lib/util/charset/iconv.c:317
 #3 close_iconv_handle at ../lib/util/charset/codepoints.c:211
 #4 smb_iconv_handle_reinit at ../lib/util/charset/codepoints.c:239
 #5 smb_iconv_handle_reinit_lp at ../lib/param/util.c:251
 #6 reload_charcnv at ../lib/param/loadparm.c:2558
 #7 lpcfg_update at ../lib/param/loadparm.c:2309
 #8 lpcfg_load at ../lib/param/loadparm.c:2384
 #9 loadparm_init_global at ../lib/param/loadparm.c:2257
Comment 1 Simone Pieri 2013-11-12 05:36:24 EST
Created attachment 822816 [details]
File: backtrace
Comment 2 Simone Pieri 2013-11-12 05:36:31 EST
Created attachment 822817 [details]
File: cgroup
Comment 3 Simone Pieri 2013-11-12 05:36:35 EST
Created attachment 822818 [details]
File: core_backtrace
Comment 4 Simone Pieri 2013-11-12 05:36:39 EST
Created attachment 822819 [details]
File: dso_list
Comment 5 Simone Pieri 2013-11-12 05:36:43 EST
Created attachment 822820 [details]
File: environ
Comment 6 Simone Pieri 2013-11-12 05:36:47 EST
Created attachment 822821 [details]
File: exploitable
Comment 7 Simone Pieri 2013-11-12 05:36:51 EST
Created attachment 822822 [details]
File: limits
Comment 8 Simone Pieri 2013-11-12 05:36:55 EST
Created attachment 822823 [details]
File: maps
Comment 9 Simone Pieri 2013-11-12 05:36:59 EST
Created attachment 822824 [details]
File: open_fds
Comment 10 Simone Pieri 2013-11-12 05:37:03 EST
Created attachment 822825 [details]
File: proc_pid_status
Comment 11 Simone Pieri 2013-11-12 05:37:07 EST
Created attachment 822826 [details]
File: var_log_messages
Comment 12 Milan Crha 2013-11-13 06:42:08 EST
Thanks for a bug report. I see from the backtrace that this crashed when evolution was trying to connect to a MAPI account. I do not see why exactly this happened, unfortunately. Did this happen for you multiple times, or it's just for the first time, and the next start works as expected? The talloc memory manager claims about incorrect pointer, which can mean that there happened some use-after-free or anything similar for some reason, which are usually hard to reproduce, though without a reproducer it's even harder to fix it properly.
Comment 13 Fedora Admin XMLRPC Client 2014-09-04 10:29:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2015-01-09 15:33:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 14:12:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.